CA Datacom regarding CA Common Services legacy product CA-C Runtime

Document ID : KB000029195
Last Modified Date : 14/02/2018
Show Technical Document Details

Does CA Datacom still require CA Common Services legacy product CA-C Runtime?

 

CA Datacom/DB

Starting with CA Datacom/DB Version 14.0, there is no requirement for CA-C Runtime.

The need for CA-C Runtime was removed starting with CA Datacom/DB Version 12.0 via PTF RO25503 which delivered a new DDTRSLM. The CA-C Runtime requirement was also removed from CA Datacom STAR Version 12.0.

For CA Datacom/DB Version 12.0, there were two exceptions:

1. CA Dataquery Report Definition Language (aka "DQ Report Writer") required CA-C Runtime up though CA Datacom/DB Version 12.0 but support for this option was dropped with CA Datacom/DB Version 14.0.

2. Also, CA-C Runtime was required for the initial SMP/e APPLY and ACCEPT installation of CA Datacom/DB 12.0. Once CA Datacom Version 12.0 PTF RO25503 was applied, there is no further SMP/e requirement for CA-C Runtime.  

NOTE: CA Datacom/DB 12.0 has end of support date of December 31, 2014 as per RI59662.       

 

CA Datacom/AD 

For CA Datacom/AD Versions 14.0 and 12.0, to benefit two of the CA Datacom/AD using products, namely CA-Jars and CA PMAChargeback, one small piece (the SQI interface code) was made available for CA Datacom/AD 14.0 via PTF RO44102 and for CA Datacom/AD 12.0 via PTF RO17133. Both of those products document CA-C Runtime as part of their requirements.

 

CA-C Runtime FMID  

The CA Common Services Versions 14.1 and 14.0 FMID for CA-C Runtime is CAF3E00 and those modules (such as CA$ESYS4) are installed into the CCCSLINK.